/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"utils.h"
#include	"memory_debug.h"

L_CHAR *
_xx_nl_copy_str_1(CODE_METHOD * cm,char * str,
	char * __file,int __line)
{
L_CHAR * ret;
	ret = xx_ll_copy_str(_l_string_1(cm,str),__file,__line);
	return ret;
}


L_CHAR *
_xx_nl_copy_str_2(CODE_METHOD * cm,char * str,
	char * __file,int __line)
{
L_CHAR * ret;
	ret = xx_ll_copy_str(_l_string_2(cm,str),__file,__line);
	return ret;
}


